## godoh 1.6+git20200517

=== Makefile ===
# ref: https://vic.demuzere.be/articles/golang-makefile-crosscompile/

BIN_DIR := build
BIN_NAME := godoh

K := $(shell openssl rand -hex 16)
V := $(shell git rev-parse --short HEAD)
LD_FLAGS := -s -w -X=github.com/sensepost/godoh/cmd.Version=$(V)

# set dnsDomain if set
# Example: make dnsDomain=foo.bar
ifneq ($(dnsDomain),)
	LD_FLAGS := $(LD_FLAGS) -X=github.com/sensepost/godoh/cmd.dnsDomain=$(dnsDomain)
endif

default: keywarn clean darwin linux windows integrity

clean:
	$(RM) $(BIN_DIR)/$(BIN_NAME)*
	go clean -x

keywarn:
	@echo "!!! Consider running 'make key' before 'make' to generate new encryption keys!"
	@echo "!!! Not doing this will leave your C2 using the default key!\n"

key:
	sed -i -E "s/const.*/const cryptKey = \`$(K)\`/g" utils/key.go

install:
	go install

darwin:
	GOOS=darwin GOARCH=amd64 go build -ldflags="$(LD_FLAGS)" -o '$(BIN_DIR)/$(BIN_NAME)-darwin64'

linux:
	GOOS=linux GOARCH=amd64 go build -ldflags="$(LD_FLAGS)" -o '$(BIN_DIR)/$(BIN_NAME)-linux64'

windows:
	GOOS=windows GOARCH=amd64 go build -ldflags="$(LD_FLAGS)" -o '$(BIN_DIR)/$(BIN_NAME)-windows64.exe'
	GOOS=windows GOARCH=386 go build -ldflags="$(LD_FLAGS)" -o '$(BIN_DIR)/$(BIN_NAME)-windows32.exe'

pack:
	cd $(BIN_DIR) && upx $(BIN_NAME)-linux64 $(BIN_NAME)-windows32.exe $(BIN_NAME)-windows64.exe

integrity:
	cd $(BIN_DIR) && shasum *

=== debian/changelog ===
godoh (1.6+git20200517-0kali3) kali-dev; urgency=medium

  * Fix golang build dependency.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 11 Apr 2023 21:18:03 -0500

godoh (1.6+git20200517-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/control: Add missing Built-using and golang-go dependency.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 11 Apr 2023 18:08:07 -0500

godoh (1.6+git20200517-0kali1) kali-dev; urgency=medium

  * Initial release (see 6141)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Oct 2020 15:21:11 +0200

=== debian/control ===
Source: godoh
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang,
               golang-github-konsorten-go-windows-terminal-sequences-dev,
               golang-github-miekg-dns-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/sensepost/goDoH
Vcs-Browser: https://gitlab.com/kalilinux/packages/godoh
Vcs-Git: https://gitlab.com/kalilinux/packages/godoh.git
XS-Go-Import-Path: github.com/sensepost/godoh

Package: godoh
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DNS-over-HTTPS Command & Control Proof of Concept
 This package contains a proof of concept Command and Control framework,
 written in Golang, that uses DNS-over-HTTPS as a transport medium. Currently
 supported providers include Google, Cloudflare but also contains the ability
 to use traditional DNS.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export GOPATH=$(CURDIR)
export PATH:=${PATH}:${CURDIR}

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/tests/control ===
Test-Command: godoh -h
Restrictions: superficial, allow-stderr

## godoh 1.6+git20220625

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # set dnsDomain if set
 # Example: make dnsDomain=foo.bar
 ifneq ($(dnsDomain),)
-	LD_FLAGS := $(LD_FLAGS) -X=github.com/sensepost/godoh/cmd.dnsDomain=$(dnsDomain)
+	LD_FLAGS := $(LD_FLAGS) -X=github.com/sensepost/godoh/cmd.CompileTimeDomain=$(dnsDomain)
 endif
 
 default: keywarn clean darwin linux windows integrity
@@ -24,7 +24,7 @@
 	@echo "!!! Not doing this will leave your C2 using the default key!\n"
 
 key:
-	sed -i -E "s/const.*/const cryptKey = \`$(K)\`/g" utils/key.go
+	sed -i -E "s/const.*/const cryptKey = \`$(K)\`/g" lib/key.go
 
 install:
 	go install

=== debian/changelog ===
godoh (1.6+git20220625-0kali1~jan+nus1) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 14 Dec 2022 23:32:13 -0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang,
                golang-github-konsorten-go-windows-terminal-sequences-dev,
                golang-github-miekg-dns-dev,
                golang-github-sirupsen-logrus-dev,
@@ -14,7 +13,8 @@
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
-Standards-Version: 4.6.2
+               golang-github-rs-zerolog-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/sensepost/goDoH
 Vcs-Browser: https://gitlab.com/kalilinux/packages/godoh
 Vcs-Git: https://gitlab.com/kalilinux/packages/godoh.git
@@ -22,7 +22,6 @@
 
 Package: godoh
 Architecture: any
-Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: DNS-over-HTTPS Command & Control Proof of Concept
  This package contains a proof of concept Command and Control framework,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%godoh-$1.tar.gz%" \
   https://github.com/sensepost/goDoH/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
